<?php

namespace Mcnd\CLI;

#[\Attribute(\Attribute::IS_REPEATABLE | \Attribute::TARGET_CLASS)]
class Option
{
    public const ARGUMENT_NONE = 0;

    public const ARGUMENT_OPTIONAL = 1;

    public const ARGUMENT_REQUIRED = 2;

    public function __construct(
        public array|string $toggle,
        public string $description = "",
        public int $argument = self::ARGUMENT_NONE,
        public mixed $default = null,
        public mixed $awaiting = null,
    ) {}

}